# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if !%buildfor8_2
%define unstable 0
%else
%define unstable 1
%endif

Name:		kdoc
Summary:	K Desktop Environment - Documentation tools
Version:	2.2.2
Release:	1mdk
Epoch:		1
URL:		http://www.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source:		kdoc-%version.tar.bz2

Group:		Development/KDE and QT
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
Obsoletes:	kdoc2
Provides:	kdoc2
BuildArch:	noarch
Requires:	perl >= 5.6.0

%if %buildfor7_2
BuildRequires:	diffutils gawk file libtermcap libtool pam readline-devel
%endif

%if %buildfor8_0
BuildRequires:	gawk libreadline readline pam popt libtermcap zlib diffutils
BuildRequires:	file libtool libbinutils2 libbzip2_1 db1 rpm-build
%endif

%if %buildfor8_1
BuildRequires:  diffutils file libbzip2_1-devel libtermcap2 libtool perl popt
BuildRequires:  rpm-build zlib1-devel
%endif

%if %buildfor8_2
BuildRequires:	diffutils file libbzip2_1-devel libtermcap2 libtool perl popt
BuildRequires:	rpm-build zlib1-devel
%endif

%description
Documentation tools for the K Desktop Environment %version.

%prep

%setup -q

%build
make -f Makefile.cvs

%configure

%make

%install
make install DESTDIR=%buildroot

# Dadou - 2.1-0.20001203.2mdk - Install missing documentation
cp $RPM_BUILD_DIR/%name-%version/COPYING %buildroot/%_docdir/%name
cp $RPM_BUILD_DIR/%name-%version/README %buildroot/%_docdir/%name
cp $RPM_BUILD_DIR/%name-%version/TODO %buildroot/%_docdir/%name
cp $RPM_BUILD_DIR/%name-%version/Version %buildroot/%_docdir/%name

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%dir %_docdir/kdoc/
%doc %_docdir/kdoc/*
#
%doc %_mandir/man1/*
#
%_bindir/*
#
%dir %_datadir/kdoc
%_datadir/%name/*


%changelog
* Fri Oct 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-1mdk
- Update to KDE 2.2.2 pre

* Wed Oct 24 2001 David BAUDENS <bauden@mandrakesoft.com> 2.2.1-3mdk
- Fix Provides

* Wed Oct 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.1-2mdk
- Add support for Mandrake Linux 8.2
- Add Packager: Mandrake Linux KDE Team <kde@mandrakesoft.com>

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Mon Aug 05 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Tue Jul 31 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.pre1.1mdk    
- kde 2.2.pre1

* Tue Jun 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Requires: perl >= 5.6.0

* Wed May 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2 

* Wed Apr 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-0.alpha1.1mdk
- KDE 2.2alpha1

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Wed Feb 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-2mdk
- Add BuildRequires

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1

* Tue Feb 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010213.1mdk
- Updated code

* Mon Jan 15 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010115.1mdk
- Updated code 

* Thu Dec 02 2000 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20001203.2mdk
- Rewrite spec to make it LMDK compatible
- Fix Summary

* Sun Dec 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001203.1mdk
- Updated code

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001123.1mdk
- Updated code

* Tue Nov 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.1-0.1mdk
- Updated code

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8mdk
- This version works with gcc 2.96. This includes code from the future 2.1
- Also repackage for a 7.2 update

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-7mdk
- This version works with gcc 2.96. This includes code from the future 2.1

* Mon Nov 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- Rebuilt for gcc 2.96 with debug. This needs turned off again.

* Mon Nov 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Rebuilt for gcc 2.96 (Second Try)

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-4mdk
- Rebuilt for gcc 2.96.

* Thu Oct 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-3mdk
- Put the right branch into this.

* Thu Oct 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Updated code to fix a bug report with kdelibs and kdoc

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated code to kde 2.0 Release version

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code to kde 2.0 Release Candidate 1

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated code

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Updated code

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Updated code

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code

* Sat Aug 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-2mdk
- Updated code

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code

* Sat Aug 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- BM per bug report in cooker

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code

* Wed Aug 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-10mdk
- Updated code

* Tue Aug 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code for new QT2.2
- Removed auto file list generation

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code
- Changed revision number to standard

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Tue Jul 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000725mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000716mdk
- Updated code

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Moved to /usr
- Changed package name

* Tue Jul 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code
- moved kdedir to /usr/X11R6/kde2

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot

* Fri Jul 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000707mdk
- Updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated snapshot

* Mon Jun 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- updated snapshot

* Sun Jun 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000611mdk
- updated to new version of kdoc

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code snapshot to more recent version

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- compiled for Mandrake
